Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 558849 - Review Request: Jep - Java Embedded Python
Summary: Review Request: Jep - Java Embedded Python
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2010-01-26 15:09 UTC by John Matthews
Modified: 2010-12-17 15:27 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-12-17 15:27:07 UTC


Attachments (Terms of Use)

Description John Matthews 2010-01-26 15:09:49 UTC
Spec URL: http://jmatthews.fedorapeople.org/jep/jep.spec
SRPM URL: http://jmatthews.fedorapeople.org/jep/jep-2.4-1.fc12.src.rpm
Description: 
Jep embeds CPython in Java. It is safe to use in a heavily threaded environment,
it is quite fast and its stability is a main feature and goal.

Comment 1 Guido Grazioli 2010-04-07 18:05:33 UTC
Hi i'd like to take up the review; some preliminar notes:

* project name seems to be jepp (while Jep is the main class)
* use %global instead of %define
* pls fix indentation
* group for -javadoc is "Documentation"
* -javadoc pkg require jpackage-tools too
* if you put DSO in %{_libdir}/%{name}, shouldnt you add that dir to ld.so.cond.d?
* man page: use jep.1.*
* use install -p to preserve timestamps

Comment 2 Chen Lei 2010-05-05 09:08:47 UTC
Some minor problems:
1.Jni files are dlopend by jar files, so /sbin/ldconfig in %post and %postun is useless.
2.BuildRequires:  gcc is not needed.
3.
Use BuildRequires: java-devel >= 1:1.6.0 and Requires:  java >= >= 1:1.6.0 instead of 1.5.0
4.
mkdir -p $RPM_BUILD_ROOT is not needed.
5.
examples should be installed into %{_docdir}
install -d -m 755 ${RPM_BUILD_ROOT}%{_docdir}/%{name}-%{version}/examples
cp *.py ${RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/examples

Comment 3 Alexander Kurtakov 2010-08-31 05:54:30 UTC
John, Are you still interested in getting this package into Fedora?

Comment 4 John Matthews 2010-08-31 17:02:03 UTC
Hello Alex,

Yes I would like to see this package get into Fedora.  

I will upload an updated srpm for review this week.

Comment 5 Alexander Kurtakov 2010-10-13 19:00:39 UTC
Ping?

Comment 6 John Matthews 2010-10-13 20:18:35 UTC
Hi Alex,

I still would like to see this get into Fedora, but I won't have time to work on this till mid December.  

If someone else is interested in picking this up, go for it.  Otherwise I will revisit this, update to latest Jep and fix the noted packaging errors when my schedule permits.


Note You need to log in before you can comment on or make changes to this bug.